# Fighter Actions

## Takedown Attempt

### **Takedown Attempt Object**

| Field Name       | Type    | Description                                                |
| ---------------- | ------- | ---------------------------------------------------------- |
| timestamp        | date    | The timestamp of the event                                 |
| eventElementType | string  | The event, in this case “TakedownAttempt”                  |
| fighter          | string  | blue/red, indicates the fighter who attempted the takedown |
| roundNum         | integer | The round in which the event took place                    |
| roundTime        | string  | The time in the round in which the event took place        |
| seqNum           | integer | The sequence number of the event                           |

### **Stats Object**

This will show stats for the overall fight, and broken down per round per corner. When a particular event happens, this will also update the stat for that particular event within this packet.

| Field Name        | Type    | Description                                        |
| ----------------- | ------- | -------------------------------------------------- |
| takedownAttempt   | integer | The number of takedown attempts for that fighter   |
| takedownLanded    | integer | The number of takedowns landed by that fighter     |
| submissionAttempt | integer | The number of submission attempts for that fighter |
| reversal          | integer | The number of reversals by that fighter            |
| knockdown         | integer | The number of knockdowns by that fighter           |

### **Sample Response**

```
{
    "eventElementType": "TakedownAttempt",
    "fighter": "Red",
    "roundNum": 2,
    "roundTime": "3:09",
    "seqNum": 12,
    "stats": {
        "fight": {
            "blue": {
                "knockdown": 0,
                "reversal": 0,
                "submissionAttempt": 0,
                "takedownAttempt": 0,
                "takedownLanded": 0
            },
            "red": {
                "knockdown": 0,
                "reversal": 1,
                "submissionAttempt": 0,
                "takedownAttempt": 3,
                "takedownLanded": 0
            }
        },
        "round": {
            "1": {
                "blue": {
                    "knockdown": 0,
                    "reversal": 0,
                    "submissionAttempt": 0,
                    "takedownAttempt": 0,
                    "takedownLanded": 0
                },
                "red": {
                    "knockdown": 0,
                    "reversal": 1,
                    "submissionAttempt": 0,
                    "takedownAttempt": 1,
                    "takedownLanded": 0
                }
            },
            "2": {
                "blue": {
                    "knockdown": 0,
                    "reversal": 0,
                    "submissionAttempt": 0,
                    "takedownAttempt": 0,
                    "takedownLanded": 0
                },
                "red": {
                    "knockdown": 0,
                    "reversal": 0,
                    "submissionAttempt": 0,
                    "takedownAttempt": 2,
                    "takedownLanded": 0
                }
            }
        }
    },
    "timestamp": "2024-11-17T01:20:20.306905Z"
}
```

## Takedown Landed

### **Takedown Landed Object**

| Field Name       | Type    | Description                                              |
| ---------------- | ------- | -------------------------------------------------------- |
| timestamp        | date    | The timestamp of the event                               |
| eventElementType | string  | The event, in this case “TakedownLanded”                 |
| fighter          | string  | blue/red, indicates the fighter that landed the takedown |
| roundNum         | integer | The round in which the event took place                  |
| roundTime        | string  | The time in the round in which the event took place      |
| seqNum           | integer | The sequence number of the event                         |

### **Stats Object**

This will show stats for the overall fight, and broken down per round per corner. When a particular event happens, this will also update the stat for that particular event within this packet.

| Field Name        | Type    | Description                                        |
| ----------------- | ------- | -------------------------------------------------- |
| takedownAttempt   | integer | The number of takedown attempts for that fighter   |
| takedownLanded    | integer | The number of takedowns landed by that fighter     |
| submissionAttempt | integer | The number of submission attempts for that fighter |
| reversal          | integer | The number of reversals by that fighter            |
| knockdown         | integer | The number of knockdowns by that fighter           |

### **Sample Response**

```
{
  "eventElementType": "TakedownLanded",
  "fighter": "Red",
  "roundNum": 2,
  "roundTime": "3:07",
  "seqNum": 13,
  "stats": {
    "fight": {
      "blue": {
        "knockdown": 0,
        "reversal": 0,
        "submissionAttempt": 0,
        "takedownAttempt": 0,
        "takedownLanded": 0
      },
      "red": {
        "knockdown": 0,
        "reversal": 1,
        "submissionAttempt": 0,
        "takedownAttempt": 3,
        "takedownLanded": 1
      }
    },
    "round": {
      "1": {
        "blue": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        },
        "red": {
          "knockdown": 0,
          "reversal": 1,
          "submissionAttempt": 0,
          "takedownAttempt": 1,
          "takedownLanded": 0
        }
      },
      "2": {
        "blue": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        },
        "red": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 2,
          "takedownLanded": 1
        }
      }
    }
  },
  "timestamp": "2024-11-17T01:20:22.338461Z"
}
```

## **Submission Attempt**

### **Submission Attempt Object**

| Field Name       | Type    | Description                                                |
| ---------------- | ------- | ---------------------------------------------------------- |
| timestamp        | date    | The timestamp of the event                                 |
| eventElementType | string  | The event, in this case “TakedownAttempt”                  |
| fighter          | string  | blue/red, indicates the fighter who attempted the takedown |
| roundNum         | integer | The round in which the event took place                    |
| roundTime        | string  | The time in the round in which the event took place        |
| seqNum           | integer | The sequence number of the event                           |

### **Stats Object**

This will show stats for the overall fight, and broken down per round per corner. When a particular event happens, this will also update the stat for that particular event within this packet.

| Field Name        | Type    | Description                                        |
| ----------------- | ------- | -------------------------------------------------- |
| takedownAttempt   | integer | The number of takedown attempts for that fighter   |
| takedownLanded    | integer | The number of takedowns landed by that fighter     |
| submissionAttempt | integer | The number of submission attempts for that fighter |
| reversal          | integer | The number of reversals by that fighter            |
| knockdown         | integer | The number of knockdowns by that fighter           |

### **Sample Response**

```
{
    "eventElementType": "SubmissionAttempt",
    "fighter": "Red",
    "roundNum": 3,
    "roundTime": "0:31",
    "seqNum": 20,
    "stats": {
        "fight": {
            "blue": {
                "knockdown": 0,
                "reversal": 0,
                "submissionAttempt": 0,
                "takedownAttempt": 0,
                "takedownLanded": 0
            },
            "red": {
                "knockdown": 0,
                "reversal": 0,
                "submissionAttempt": 1,
                "takedownAttempt": 6,
                "takedownLanded": 3
            }
        },
        "round": {
            "1": {
                "blue": {
                    "knockdown": 0,
                    "reversal": 0,
                    "submissionAttempt": 0,
                    "takedownAttempt": 0,
                    "takedownLanded": 0
                },
                "red": {
                    "knockdown": 0,
                    "reversal": 0,
                    "submissionAttempt": 0,
                    "takedownAttempt": 2,
                    "takedownLanded": 1
                }
            },
            "2": {
                "blue": {
                    "knockdown": 0,
                    "reversal": 0,
                    "submissionAttempt": 0,
                    "takedownAttempt": 0,
                    "takedownLanded": 0
                },
                "red": {
                    "knockdown": 0,
                    "reversal": 0,
                    "submissionAttempt": 0,
                    "takedownAttempt": 1,
                    "takedownLanded": 1
                }
            },
            "3": {
                "blue": {
                    "knockdown": 0,
                    "reversal": 0,
                    "submissionAttempt": 0,
                    "takedownAttempt": 0,
                    "takedownLanded": 0
                },
                "red": {
                    "knockdown": 0,
                    "reversal": 0,
                    "submissionAttempt": 1,
                    "takedownAttempt": 3,
                    "takedownLanded": 1
                }
            }
        }
    },
    "timestamp": "2024-11-17T05:24:30.688374Z"
}
```

## Reversal

### **Reversal Object**

| Field Name       | Type    | Description                                           |
| ---------------- | ------- | ----------------------------------------------------- |
| timestamp        | date    | The timestamp of the event                            |
| eventElementType | string  | The event, in this case “Reversal”                    |
| fighter          | string  | blue/red, indicates the fighter who made the reversal |
| roundNum         | integer | The round in which the event took place               |
| roundTime        | string  | The time in the round in which the event took place   |
| seqNum           | integer | The sequence number of the event                      |

### **Stats Object**

This will show stats for the overall fight, and broken down per round per corner. When a particular event happens, this will also update the stat for that particular event within this packet.

| Field Name        | Type    | Description                                        |
| ----------------- | ------- | -------------------------------------------------- |
| takedownAttempt   | integer | The number of takedown attempts for that fighter   |
| takedownLanded    | integer | The number of takedowns landed by that fighter     |
| submissionAttempt | integer | The number of submission attempts for that fighter |
| reversal          | integer | The number of reversals by that fighter            |
| knockdown         | integer | The number of knockdowns by that fighter           |

### **Sample Response**

```
{
  "eventElementType": "Reversal",
  "fighter": "Red",
  "roundNum": 3,
  "roundTime": "1:00",
  "seqNum": 38,
  "stats": {
    "fight": {
      "blue": {
        "knockdown": 0,
        "reversal": 0,
        "submissionAttempt": 0,
        "takedownAttempt": 17,
        "takedownLanded": 5
      },
      "red": {
        "knockdown": 0,
        "reversal": 1,
        "submissionAttempt": 0,
        "takedownAttempt": 0,
        "takedownLanded": 0
      }
    },
    "round": {
      "1": {
        "blue": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 8,
          "takedownLanded": 3
        },
        "red": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        }
      },
      "2": {
        "blue": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 6,
          "takedownLanded": 1
        },
        "red": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        }
      },
      "3": {
        "blue": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 3,
          "takedownLanded": 1
        },
        "red": {
          "knockdown": 0,
          "reversal": 1,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        }
      }
    }
  },
  "timestamp": "2024-11-10T00:49:14.138537Z"
}
```

## Knockdown

### **Knockdown Object**

| Field Name       | Type    | Description                                                |
| ---------------- | ------- | ---------------------------------------------------------- |
| timestamp        | date    | The timestamp of the event                                 |
| eventElementType | string  | The event, in this case “TakedownAttempt”                  |
| fighter          | string  | blue/red, indicates the fighter who attempted the takedown |
| roundNum         | integer | The round in which the event took place                    |
| roundTime        | string  | The time in the round in which the event took place        |
| seqNum           | integer | The sequence number of the event                           |

### **Stats Object**

This will show stats for the overall fight, and broken down per round per corner. When a particular event happens, this will also update the stat for that particular event within this packet.

| Field Name        | Type    | Description                                        |
| ----------------- | ------- | -------------------------------------------------- |
| takedownAttempt   | integer | The number of takedown attempts for that fighter   |
| takedownLanded    | integer | The number of takedowns landed by that fighter     |
| submissionAttempt | integer | The number of submission attempts for that fighter |
| reversal          | integer | The number of reversals by that fighter            |
| knockdown         | integer | The number of knockdowns by that fighter           |

### Sample Response

```
{
  "eventElementType": "Knockdown",
  "fighter": "Blue",
  "roundNum": 1,
  "roundTime": "0:10",
  "seqNum": 17,
  "stats": {
    "fight": {
      "blue": {
        "knockdown": 2,
        "reversal": 0,
        "submissionAttempt": 0,
        "takedownAttempt": 1,
        "takedownLanded": 1
      },
      "red": {
        "knockdown": 0,
        "reversal": 0,
        "submissionAttempt": 0,
        "takedownAttempt": 7,
        "takedownLanded": 0
      }
    },
    "round": {
      "1": {
        "blue": {
          "knockdown": 2,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 1,
          "takedownLanded": 1
        },
        "red": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 7,
          "takedownLanded": 0
        }
      }
    }
  },
  "timestamp": "2024-11-10T02:21:33.944263Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/ufc-media/fight-details-scenarios/fighter-actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
